curl -X PATCH "https://app.runtm.com/api/cloud/sessions/ses_abc123/name" \
-H "Authorization: Bearer runtm_xxx" \
-H "Content-Type: application/json" \
-d '{"name": "Auth service rewrite"}'
import requests
response = requests.patch(
"https://app.runtm.com/api/cloud/sessions/ses_abc123/name",
headers={
"Authorization": "Bearer runtm_xxx",
"Content-Type": "application/json",
},
json={"name": "Auth service rewrite"},
)
print(response.json()["name"])
const response = await fetch(
"https://app.runtm.com/api/cloud/sessions/ses_abc123/name",
{
method: "PATCH",
headers: {
"Authorization": "Bearer runtm_xxx",
"Content-Type": "application/json",
},
body: JSON.stringify({ name: "Auth service rewrite" }),
}
);
const session = await response.json();
console.log(session.name);
{
"id": "ses_abc123",
"name": "Auth service rewrite",
"state": "active",
"agent": "claude-code",
"updated_at": "2026-05-09T21:15:00Z"
}
Sessions
Rename Session
Update the display name of a session
PATCH
/
api
/
sessions
/
{session_id}
/
name
curl -X PATCH "https://app.runtm.com/api/cloud/sessions/ses_abc123/name" \
-H "Authorization: Bearer runtm_xxx" \
-H "Content-Type: application/json" \
-d '{"name": "Auth service rewrite"}'
import requests
response = requests.patch(
"https://app.runtm.com/api/cloud/sessions/ses_abc123/name",
headers={
"Authorization": "Bearer runtm_xxx",
"Content-Type": "application/json",
},
json={"name": "Auth service rewrite"},
)
print(response.json()["name"])
const response = await fetch(
"https://app.runtm.com/api/cloud/sessions/ses_abc123/name",
{
method: "PATCH",
headers: {
"Authorization": "Bearer runtm_xxx",
"Content-Type": "application/json",
},
body: JSON.stringify({ name: "Auth service rewrite" }),
}
);
const session = await response.json();
console.log(session.name);
{
"id": "ses_abc123",
"name": "Auth service rewrite",
"state": "active",
"agent": "claude-code",
"updated_at": "2026-05-09T21:15:00Z"
}
Updates the display name of an existing session.
Required scope:
sessions:write
Path Parameters
string
required
The session ID (e.g.
ses_abc123).Headers
string
required
Bearer token. Example:
Bearer runtm_xxxstring
Scope to an organization.
Body
string
required
New display name for the session.
Response
Returns the updated session object.string
Session ID.
string
Updated display name.
curl -X PATCH "https://app.runtm.com/api/cloud/sessions/ses_abc123/name" \
-H "Authorization: Bearer runtm_xxx" \
-H "Content-Type: application/json" \
-d '{"name": "Auth service rewrite"}'
import requests
response = requests.patch(
"https://app.runtm.com/api/cloud/sessions/ses_abc123/name",
headers={
"Authorization": "Bearer runtm_xxx",
"Content-Type": "application/json",
},
json={"name": "Auth service rewrite"},
)
print(response.json()["name"])
const response = await fetch(
"https://app.runtm.com/api/cloud/sessions/ses_abc123/name",
{
method: "PATCH",
headers: {
"Authorization": "Bearer runtm_xxx",
"Content-Type": "application/json",
},
body: JSON.stringify({ name: "Auth service rewrite" }),
}
);
const session = await response.json();
console.log(session.name);
{
"id": "ses_abc123",
"name": "Auth service rewrite",
"state": "active",
"agent": "claude-code",
"updated_at": "2026-05-09T21:15:00Z"
}